//                                               -*- C++ -*-
/**
 * @file		NumericalScalarProperty.cxx
 * @brief
 *
 * @author	Romuald Conty
 * @date		2007-01-04 11:30:13
 *
 * @par Last change :
 *  $LastChangedBy: dutka $
 *  $LastChangedDate: 2008-06-26 13:50:17 +0200 (jeu 26 jun 2008) $
 *
 *  (C) Copyright 2005-2007 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */
#include "NumericalScalarProperty.hxx"

#include "QOTObject.hxx"

//#include "QOTProperty.hxx"

namespace OpenTURNS
{

	namespace UI
	{

		namespace GUI
		{

			NumericalScalarProperty::NumericalScalarProperty ( NumericalScalar* numericalScalar, const bool editable, QObject *parent, const char *name )
					: QOTProperty ( ( ( editable ) ? ( QOTProperty::SimpleText ) : ( QOTProperty::NotEditable ) ), parent, name )
			{
				numericalScalar_ = numericalScalar;
			}


			NumericalScalarProperty::~NumericalScalarProperty()
			{}

			QString NumericalScalarProperty::getValue()
			{
				return QString::number ( *numericalScalar_ );
			}

			bool NumericalScalarProperty::setValue ( QString value )
			{
				bool converted;
				NumericalScalar numericalScalar;
				numericalScalar = value.toDouble ( &converted );
				if ( converted && ( numericalScalar != ( *numericalScalar_ ) ) )
				{
					( *numericalScalar_ ) = numericalScalar;
					emit updated();
					return true;
				}
				return false;
			}

		}

	}

}
