//                                               -*- C++ -*-
/**
 * @file		QOTTitleTableItem.hxx
 * @brief		Drawing title in a QTable
 *
 * @author		Romuald Conty
 * @date			2006-07-10 14:03:55
 *
 * @par Last change :
 *  $LastChangedBy: dutka $
 *  $LastChangedDate: 2007-11-08 17:13:40 +0100 (jeu 08 nov 2007) $
 *
 *  (C) Copyright 2005-2007 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */

#ifndef OPENTURNS_GUIQTITLETABLEITEM_HXX
#define OPENTURNS_GUIQTITLETABLEITEM_HXX

#include "QOTTableItem.hxx"

namespace OpenTURNS
{
	namespace UI
	{
		namespace GUI
		{
			class QOTTitleTableItem : public QOTTableItem
			{
					Q_OBJECT

				public:
					QOTTitleTableItem ( QTable* table, QOTObject * link );
					virtual ~QOTTitleTableItem();

					void paint ( QPainter *p, const QColorGroup &cg, const QRect &cr, bool selected );
					virtual int rtti () const;

				protected:
					QColor background_;
			};
		} /* namespace GUI */
	} /* namespace UI */
} /* namespace OpenTURNS */

#endif /* OPENTURNS_GUIQTITLETABLEITEM_HXX */
