//                                               -*- C++ -*-
/**
 * @file		StepC3.hxx
 * @brief
 *
 * @author	Romuald Conty
 * @date		2006-08-31 12:50:40
 *
 * @par Last change :
 *  $LastChangedBy: dutka $
 *  $LastChangedDate: 2007-11-08 17:13:40 +0100 (jeu 08 nov 2007) $
 *
 *  (C) Copyright 2005-2007 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */
#ifndef OPENTURNS_GUISTEPC3_HXX
#define OPENTURNS_GUISTEPC3_HXX

// OT::UI::GUI
#include "Step.hxx"

#include "Block.hxx"

namespace OpenTURNS
{
	namespace UI
	{
		namespace GUI
		{
			class Study;

			class StepC3 : public Step
			{
					Q_OBJECT
				public:
					StepC3 ( QOTObject* parent, Study* study );

					~StepC3();

					QString getFullName() const;

				public slots:
					void createBlock();

				protected:
					Study * study_;
					QPtrList<Block> listBlocks_;

			};
		} /* namespace GUI */
	} /* namespace UI */
} /* namespace OpenTURNS */

#endif
