//                                               -*- C++ -*-
/**
 * @file		VariableTypeProperty.hxx
 * @brief
 *
 * @author	Romuald Conty
 * @date		2007-01-10 11:39:49
 *
 * @par Last change :
 *  $LastChangedBy: dutka $
 *  $LastChangedDate: 2008-06-26 13:50:17 +0200 (jeu 26 jun 2008) $
 *
 *  (C) Copyright 2005-2007 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */
#ifndef OPENTURNS_UI_GUIVARIABLETYPEPROPERTY_HXX
#define OPENTURNS_UI_GUIVARIABLETYPEPROPERTY_HXX

// OT::UI::GUI
#include "QOTProperty.hxx"

// OT
#include "Distribution.hxx"

namespace OpenTURNS
{

	namespace UI
	{

		namespace GUI
		{

			typedef OT::Uncertainty::Model::Distribution Distribution;

			class VariableTypeProperty : public QOTProperty
			{
					Q_OBJECT
				public:
					enum VariableType { Deterministic, Stochastic };

					VariableTypeProperty ( VariableType* variableType, QObject* parent, const char* name );

					~VariableTypeProperty();

					virtual QString getValue();
					virtual QStringList getChoices();
					virtual bool setValue ( QString value );

				public slots:
					void propertyUpdated ( QOTProperty* subproperty );

				protected:
					VariableType* variableType_;
			};

		}

	}

}

#endif
